#!/usr/bin/env python
from PIL import Image, ImageDraw, ImageFont
import sqlite3

#load the lockslider original image
imgBack = Image.open("lockslider_orig.png")
#Load the messages image. The one that will be pasted over the overlay
imgData = Image.open("message.png")

smsNum=0
callNum=0

#connect to the database to retrieve the values for missed calls and texts
con = sqlite3.connect("/home/user/.rtcom-eventlogger/el.db")
con.isolation_level = None
cur = con.cursor()

#SMS - Thanks nex- http://talk.maemo.org/showpost.php?p=548070&postcount=8
cur.execute("select count(id) from events where event_type_id = 7 and is_read=0")
smsFullRet=""
smsFullRet=cur.fetchall()
smsNum=smsFullRet[0]
#Calls - Thanks nex- http://talk.maemo.org/showpost.php?p=548070&postcount=8
cur.execute("select count(id) from events where event_type_id = 3")
callsFullRet=""
callsFullRet=cur.fetchall()
callsNum=callsFullRet[0]

#To draw the text later on
draw = ImageDraw.Draw(imgBack)


if callsNum[0] > 0:
    #Crop to leave only numbers
    box = (0, 0, 300, 50)
    imgFinal = imgData.crop(box)
    #Paste the calls over the lockslider
    imgBack.paste(imgFinal,(250,350))
    #write the number of missed calls
    draw.text((340,360), str(callsNum[0]))
 
if smsNum[0] > 0:
    #Crop to leave only sms 
    box = (0, 50, 300, 100)
    imgFinal = imgData.crop(box)
    #Paste the calls over the lockslider
    imgBack.paste(imgFinal,(250,400))
    #write the number of missed calls
    draw.text((340,410), str(smsNum[0]))


del draw 


#Close connection
con.close()


#Save it as the lockslider so the OS will open it next time
imgBack.save("lockslider.png")
